> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1domainsplans rules 1



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/domains/plans/{domainPlan}/rules/{rule}
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/domains/plans/{domainPlan}/rules/{rule}:
    get:
      tags:
        - DomainPlanRules
      operationId: domains.rules.show
      parameters:
        - name: domainPlan
          in: path
          required: true
          description: The domain plan ID
          schema:
            type: string
            format: uuid
        - name: rule
          in: path
          required: true
          description: The rule ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: '`DomainPlanRuleData`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/DomainPlanRuleData'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    DomainPlanRuleData:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
        country_id:
          type:
            - integer
            - 'null'
        sms_route_id:
          type:
            - string
            - 'null'
        team_id:
          type:
            - string
            - 'null'
        company_id:
          type:
            - string
            - 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/DomainPlanRuleMetaData'
            - type: 'null'
        priority:
          type:
            - integer
            - 'null'
          default: 0
      required:
        - id
        - country_id
        - sms_route_id
        - team_id
        - company_id
        - meta
        - priority
      title: DomainPlanRuleData
    DomainPlanRuleMetaData:
      type: object
      properties:
        tld_name:
          type:
            - string
            - 'null'
          default: com
        max_sms_per_domain:
          type:
            - integer
            - 'null'
          default: 50000
          minimum: 0
        number_of_domains_in_rotation:
          type: integer
          default: 3
          minimum: 0
        number_of_domains_in_backlog:
          type: integer
          default: 0
          minimum: 0
        domain_name_pattern:
          type:
            - string
            - 'null'
      required:
        - tld_name
        - max_sms_per_domain
        - number_of_domains_in_rotation
        - number_of_domains_in_backlog
        - domain_name_pattern
      title: DomainPlanRuleMetaData
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````